%define name	ocaml-pcre
%define version	6.2.5
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl compatibility regular expressions for OCaml
Source:		http://hg.ocaml.info/release/pcre-ocaml/archive/release-%{version}.tar.bz2
URL:		http://ocaml.info/home/ocaml_sources.html#pcre-ocaml
Patch0:		pcre-ocaml-examples-makefile.patch
License:	LGPLv2 with linking exception
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	pcre-devel
BuildRequires:	ocaml-findlib
BuildRequires:	texlive
Conflicts:	%{name}-devel < 5.12.2
Requires:	pcre-devel

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. it can be used for matching
regular expressions which are written in "PERL"-style.
  
Searching for, replacing or splitting text should become much easier with
this library.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	pcre-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n pcre-ocaml-release-%{version}
%patch0 -p1

%build
# Apparently the build-system cannot do parallel builds (-j). So using "make"
# here instead of percent-make.
make
%make doc


%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc Changelog INSTALL LICENSE README.txt
%dir %{_libdir}/ocaml/pcre
%{_libdir}/ocaml/pcre/*.cmi
%{_libdir}/ocaml/pcre/*.cma
%{_libdir}/ocaml/pcre/libpcre_stubs.a
%{_libdir}/ocaml/pcre/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%defattr(-,root,root)
%doc doc/pcre/html
%doc doc/pcre/latex/*.{dvi,pdf}
%doc examples/
%{_libdir}/ocaml/pcre/pcre.a
%{_libdir}/ocaml/pcre/*.cmxa
%{_libdir}/ocaml/pcre/*.mli



%changelog

* Sat Jan 14 2012 malo <malo> 6.2.5-1.mga2
+ Revision: 195978
- new version 6.2.5
- removed substitution on META (upstream is now correct)

* Sat Dec 10 2011 malo <malo> 6.2.3-2.mga2
+ Revision: 180428
- missing Requires to pcre-devel

* Sat Dec 03 2011 malo <malo> 6.2.3-1.mga2
+ Revision: 175711
- spec clean-up
- fixing bytecode linking to pcre by always shipping libpcre_stubs.a
- new version 0.6.3

* Wed Oct 05 2011 shlomif <shlomif> 6.2.2-3.mga2
+ Revision: 152007
- Add a comment
- Avoid per cent-make to make the build non-parallel because there seems to be a problem in the package's build system
- New release to force rebuild for sources.
- New Release thanks to Malo.

  + fwang <fwang>
    - rebuild for new ocaml

* Mon Mar 07 2011 saispo <saispo> 6.1.0-1.mga1
+ Revision: 66136
- imported package ocaml-pcre

